Request class for BatchWriteItem operation which supports a single model class only.

### Type parameters

- #### T

### Hierarchy

- BaseRequest<T, BatchWriteItemInput, BatchWriteSingleTableRequest<T>>
  - BatchWriteSingleTableRequest

## Index

### Constructors

- constructor

### Properties

- dynamoDBWrapper
- metadata
- modelClazz
- params
- tableName

### Methods

- delete
- exec
- execFullResponse
- put
- returnConsumedCapacity
- returnItemCollectionMetrics

## Constructors

### constructor

- new BatchWriteSingleTableRequest(dynamoDBWrapper: DynamoDbWrapper, modelClazz: ModelConstructor<T>): BatchWriteSingleTableRequest

- Overrides BaseRequest.constructor

  - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:21

  #### Parameters

  - ##### dynamoDBWrapper: DynamoDbWrapper

  - ##### modelClazz: ModelConstructor<T>

  #### Returns BatchWriteSingleTableRequest

## Properties

### dynamoDBWrapper

dynamoDBWrapper: DynamoDbWrapper

Inherited from BaseRequest.dynamoDBWrapper

- Defined in dynamo/request/base.request.ts:29

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:39

metadata created from modelClazz

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:34

corresponding Model Class

### params

params: BatchWriteItemInput

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:49

request input object

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:44

tableName created with configured tableNameResolver function

## Methods

### delete

- delete(items: Array<Partial<T>>): BatchWriteSingleTableRequest<T>

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:38

  #### Parameters

  - ##### items: Array<Partial<T>>

  #### Returns BatchWriteSingleTableRequest<T>

### exec

- exec(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Promise<void>

- Overrides BaseRequest.exec

  - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:59

  execute the request

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

    when unprocessed items are returned the next value of backoffTimer is used to determine how many time slots to wait before doing the next request

  - ##### Default value throttleTimeSlot: number = BATCH_WRITE_DEFAULT_TIME_SLOT

    the duration of a time slot in ms

  #### Returns Promise<void>

### execFullResponse

- execFullResponse(backoffTimer?: randomExponentialBackoffTimer, throttleTimeSlot?: number): Promise<BatchWriteItemOutput>

- Overrides BaseRequest.execFullResponse

  - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:72

  execute the request and return the full response

  #### Parameters

  - ##### Default value backoffTimer: randomExponentialBackoffTimer = randomExponentialBackoffTimer

    when unprocessed items are returned the next value of backoffTimer is used to determine how many time slots to wait before doing the next request

  - ##### Default value throttleTimeSlot: number = BATCH_WRITE_DEFAULT_TIME_SLOT

    the duration of a time slot in ms

  #### Returns Promise<BatchWriteItemOutput>

### put

- put(items: T[]): BatchWriteSingleTableRequest<T>

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:46

  #### Parameters

  - ##### items: T[]

  #### Returns BatchWriteSingleTableRequest<T>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): BatchWriteSingleTableRequest<T>

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:75

  return ConsumedCapacity of the corresponding table(s) in the response

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

    not all requests support all values

  #### Returns BatchWriteSingleTableRequest<T>

### returnItemCollectionMetrics

- returnItemCollectionMetrics(value: DynamoDB.ReturnItemCollectionMetrics): void

- - Defined in dynamo/request/batchwritesingletable/batch-write-single-table.request.ts:34

  return item collection metrics.

  #### Parameters

  - ##### value: DynamoDB.ReturnItemCollectionMetrics

  #### Returns void